Bug 489672 - flock segfaults when file name is not given
flock segfaults when file name is not given
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513369
  Show dependency treegraph
 
Reported: 2009-03-11 06:47 EDT by Milos Malik
Modified: 2009-07-23 08:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.14.1-3.3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 513369 (view as bug list)
Environment:
Last Closed: 2009-06-19 09:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of strace when running flock -s (1.45 KB, text/plain)
2009-03-11 06:52 EDT, Milos Malik
no flags Details
output of ltrace when running flock -s (353 bytes, text/plain)
2009-03-11 06:53 EDT, Milos Malik
no flags Details

  None (edit)
Description Milos Malik 2009-03-11 06:47:04 EDT
Description of problem:
Running flock with an option which requires a file name leads to segfault.

Version-Release number of selected component (if applicable):
util-linux-ng-2.14.1-3.2.fc10

How reproducible:
always

Steps to Reproduce:
$ flock -s
Segmentation fault
$ flock -x
Segmentation fault
$ flock -u
Segmentation fault
$ flock -n
Segmentation fault
$ flock -o
Segmentation fault
  
Actual results:
a lot of segfaults

Expected results:
no segfaults

Additional info:
Comment 1 Milos Malik 2009-03-11 06:52:36 EDT
Created attachment 334776 [details]
output of strace when running flock -s
Comment 2 Milos Malik 2009-03-11 06:53:39 EDT
Created attachment 334777 [details]
output of ltrace when running flock -s
Comment 3 Milos Malik 2009-03-11 06:56:32 EDT
util-linux-2.13-0.47.el5 in RHEL-5.3 is also affected.
Comment 4 Karel Zak 2009-03-13 06:11:56 EDT
Good catch. Thanks. Fixed in upstream tree.
Comment 5 Karel Zak 2009-03-19 05:25:28 EDT
Fixed in rawhide.
Comment 7 Fedora Update System 2009-06-01 08:08:09 EDT
util-linux-ng-2.14.1-3.3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/util-linux-ng-2.14.1-3.3.fc10
Comment 8 Fedora Update System 2009-06-02 10:29:35 EDT
util-linux-ng-2.14.1-3.3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update util-linux-ng'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5775
Comment 9 Fedora Update System 2009-06-19 09:38:32 EDT
util-linux-ng-2.14.1-3.3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.